---
title: Open Letter
type: page
layout: subpage
version: 1
sigtable: true
---

Publicly funded software has to be [Free and Open Source Software][fs]. While there are plenty of good reasons for this, many politicians don't know about them yet.

{{< fsdefinition type="box">}}

This is where you can help! Sign the open letter to give our message more weight. **{{< count type="signatures" >}} people** and **{{< count type="organisations" >}} organisations** have already signed. We will hand over the letter and signatures to your representatives and make sure that they understand that: Public Money? Public Code!

> ## Public Money? Public Code!
> 
> Digital services offered and used by our public administrations are the critical infrastructure of 21st century democratic nations. In order to establish trustworthy systems, public bodies must ensure they have full control over the software and the computer systems at the core of our state digital infrastructure. However, right now, this is rarely the case due to restrictive software licences that:
> 
> * Forbid sharing and exchanging publicly funded code. This prevents cooperation between public administrations and hinders further development.
> * Support monopolies by hindering competition. As a result, many administrations become dependent on a handful of companies.
> * Pose a threat to the security of our digital infrastructure by forbidding access to the source code. This makes fixing backdoors and security holes extremely difficult, if not completely impossible.
> 
> We need software that fosters the sharing of good ideas and solutions. Like this we will be able to improve IT services for people all over Europe. We need software that guarantees freedom of choice, access, and competition. We need software that helps public administrations regain full control of their critical digital infrastructure, allowing them to become and remain independent from a handful of companies. That is why we call our representatives to support Free and Open Source Software in public administrations, because:
> 
> * Free and Open Source Software is a modern public good that allows everybody to freely use, study, share and improve applications we use on a daily basis.
> * Free and Open Source Software licences provide safeguards against being locked in to services from specific companies that use restrictive licences to hinder competition.
> * Free and Open Source Software ensures that the source code is accessible so that backdoors and security holes can be fixed without depending on one service provider.
> 
> Public bodies are financed through taxes. They must make sure they spend funds in the most efficient way possible. If it is public money, it should be public code as well!
> 
> That is why we, the undersigned, call our representatives to:
> 
> **"Implement legislation requiring that publicly financed software developed for public sector must be made publicly available under a Free and Open Source Software licence."**

[fs]: https://fsfe.org/freesoftware/ "Free Software gives everybody the right to use, study, share and improve software. This right helps support other fundamental freedoms like freedom of speech, press and privacy."
